std::__future_base::_Result< void > Struct Reference
Concurrency » Futures

`#include <future>`

Inheritance diagram for std::__future_base::_Result< void >:
[legend]

## Public Types

typedef void | result_type

## Public Attributes

exception_ptr | _M_error

## Detailed Description

Explicit specialization for void.

Definition at line 647 of file future.

## Member Typedef Documentation

## result_type

typedef void std::__future_base::_Result< void >::result_type

Definition at line 649 of file future.

## Member Data Documentation

## _M_error

exception_ptr std::__future_base::_Result_base::_M_error

inherited

Definition at line 203 of file future.

The documentation for this struct was generated from the following file:

- future